<?php 
/**
 *  arquivo main.php.
 */
  
  session_start();
  if ( !isset( $_SESSION['codiUSER']) )
  {
    echo("acesso não autorizado...<br>");
  }// End if ( !isset( $_SESSION['codiUSER']) )
/**
 *  flag: indica executando em modo RAD
 */
  if( isset( $_SESSION['modeRAD']) )
  {
    $modo_RAD = true;
  }else
  {
    $modo_RAD = false;
  }// End if( isset( $_SESSION['modeRAD']) )

/**
 *  ajusta o path para o ROOT PhPage Studio  -------------------------------  //
 */
  $uri = $_SERVER["REQUEST_URI"];
  $s = strpos( $uri, 'studio' );
  if( $s === false )
  {
    $s = strpos( $uri, 'Studio' );
  }
  $_root_ = substr($uri, 1, $s -1 ) . "Studio/";

/**
 *  ajusta o path para a cópia local do Projeto  ---------------------------  //
 */
  $_desenv_ = '/' . $_root_ . 'desenv/usuarios/'. $_REQUEST['loginUSER'] . '/';
  
  include( $_SERVER['DOCUMENT_ROOT'] . '/' . $_root_ . "lib_PHP/PhPage.lib.php" );

  $projeto = array(
    'projeto_nome' => 'projeto4',
    'projeto_id'   => '1',
    'versao'       => '0',
    'atualizacao'  => '00',
    'revisao'      => '10',
    'desenv_id'    => 1,
    'esquema'      => 'system',
    'modelo'       => 'win98',
    'pageMain'     => 'page1' 
  );
  
  include( $_SERVER['DOCUMENT_ROOT'] .
           $_desenv_ . "config/" . 
           $projeto['projeto_nome'] . ".main.define.php" );
  
  include( $_SERVER['DOCUMENT_ROOT'] .
           $_desenv_ . "lang/" . LANGUAGE . "/" .
           $projeto['projeto_nome'] . ".def.php" );
  
  include( $_SERVER['DOCUMENT_ROOT'] . "/" .
           $_root_ . "config/phPage.esquema.php" );
  
  include( $_SERVER['DOCUMENT_ROOT'] .
           $_desenv_ . getRegistro( $projeto['projeto_nome'] ) );

  $pages_no_Prj = array(
    'page1' => 'page1'
  );

  execPage( $projeto['pageMain'] );
  
?>
